FileUploadException (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.http.fileupload.FileUploadException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http.fileupload
Class FileUploadException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.tomcat.util.http.fileupload.FileUploadException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FileUploadBase.InvalidContentTypeException, FileUploadBase.SizeLimitExceededException, FileUploadBase.UnknownSizeException

    public class FileUploadException

extends java.lang.Exception

Exception for errors encountered while processing the request.

Version:
  $Id: FileUploadException.java 467222 2006-10-24 03:17:11Z markt $
Author:
  John McNally
See Also:
  Serialized Form

Constructor Summary
`FileUploadException()` Constructs a new `FileUploadException` without message.
`FileUploadException(java.lang.String msg)` Constructs a new `FileUploadException` with specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileUploadException

    public FileUploadException()

  Constructs a new `FileUploadException` without message.

### FileUploadException

    public FileUploadException(java.lang.String msg)

  Constructs a new `FileUploadException` with specified detail message.

  Parameters:
    `msg` - the error message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.